#pragma once

#include "Core/Core.h"

class Texture2D {
public:
    explicit Texture2D() noexcept;
    ~Texture2D();

    bool Create(int32 width, int32 height, int32 channels, uint8* data) noexcept;
    void Update(int32 width, int32 height, int32 channels, uint8* data) noexcept;
    void Active(int32 txture);

private:
    uint32 texture_{ 0 };

    int32 width_{ 0 };
    int32 height_{ 0 };
    int32 channels_{ 0 };
};
